local Turninator = Turninator
local L = LibStub("AceLocale-3.0"):GetLocale("Turninator")


function Turninator.LoadSavedSettings()
	-- saved settings and default values
	local defaults = {
		global = {
			iDebugLevel = 0,
		},
		profile = {
			iDataFormat = 0,
			fEnabled = true,
		},
	}

	return LibStub("AceDB-3.0"):New("TurninatorDB", defaults)
end


--=========================================================================--
-- Options UI definition
--=========================================================================--

function Turninator.GetUIOptions()
	if (not Turninator.options) then
		Turninator.options = {
			name = "Turninator",
			handler = Turninator,
			type = 'group',
--			childGroups = "tab",
			args = {
				Debug = {
					hidden = true,
					order = 0,
					type = "input",
					name = "debug",
					desc = "Sets verbosity of debug output",
					get = function(info) return "" end,
					set = "Debug",
				},
				On = {
					hidden = guiHidden,
					order = 1,
					type = "execute",
					name = L["on"],
					desc = L["Enables the addon"],
					func = function(info) 
						if (not Turninator.db.profile.fEnabled) then
							Turninator.db.profile.fEnabled = true
							Turninator:OnEnable()
						end
						Turninator:Config()
					end,
				},
				Off = {
					hidden = guiHidden,
					order = 2,
					type = "execute",
					name = L["off"],
					desc = L["Disables the addon"],
					func = function(info) 
						if (Turninator.db.profile.fEnabled) then 
							Turninator:OnDisable()
							Turninator.db.profile.fEnabled = false
						end
						Turninator:Config()
					end,
				},
				Config = {
					hidden = guiHidden,
					order = 3,
					type = "execute",
					name = L["config"],
					desc = L["display current configuration"],
					func = function(info) Turninator:Config() end,
				},
				ShareKey = {
					hidden = guiHidden,
					order = 4,
					type = "input",
					name = L["ShareKey"],
					desc = L["Sets the keybind to be used/shared by the addon"],
					get = function(info) return "" end,
					set = "ShareKey",
				},
				ShareCmd = {
					hidden = true,
					order = 5,
					type = "input",
					name = L["ShareCmd"],
					desc = L["Sets the addon to use/share the keybind for that command"],
					get = function(info) return "" end,
					set = "ShareCmd",
				},
				Reset = {
					hidden = guiHidden,
					order = 6,
					type = "execute",
					name = L["Reset"],
					desc = L["Decouples the addon from the shared keybind"],
					func = function(info) Turninator:Reset() end,
				},
			},
		}
	end

	return Turninator.options;
end
